> For the complete documentation index, see [llms.txt](https://developer.redflagalert.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.redflagalert.net/directors/attributes.md).

# Attributes

| Field Key            | Description                                                                                        | Notes |
| -------------------- | -------------------------------------------------------------------------------------------------- | ----- |
| `town`               | The town of residence of the director in question.                                                 |       |
| `first_name`         | The directors first name.                                                                          |       |
| `surname`            | The directors surname.                                                                             |       |
| `suffix`             | Honorary titles, such as OBE, MBE, CBE etc.                                                        |       |
| `title`              | The directors title.                                                                               |       |
| `date_resigned`      | Date the director resigned if applicable. Will return '`null`' where the director is still active. |       |
| `locality`           | The equivalent of the 2nd line of address of the director.                                         |       |
| `birthdate`          | The directors date of birth (month and year) if known.                                             |       |
| `county`             | The county of residence of the director.                                                           |       |
| `appointment_type`   | The type of appointment of the director                                                            |       |
| `date_appointed`     | The date the director was appointed.                                                               |       |
| `postcode`           | The directors post code.                                                                           |       |
| `address`            | First line of address of the director.                                                             |       |
| `nationality`        | The directors nationality.                                                                         |       |
| `other_appointments` | Any other appointments held by the director                                                        |       |
| `occupation`         | Listed occupation if known. Will return '`null`' if none.                                          |       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redflagalert.net/directors/attributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
